'CSC 230 Class Example Sept. 2005

'demostrates how to change control colors

Public Class FrmChangeColor

    'a color can be changed by using the name of the color
    Private Sub btnColorByName_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnColorByName.Click
        lblColor.BackColor = Color.FromName(txtColorName.Text)
        'turns backcolor white if the color is not understood
    End Sub

    'scroll over and see that this one method is handling multiple events 
    'the label is getting its color from the button
    'sender refers to the control whose event got us here 
    Private Sub btnColor1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnColor1.Click, btnColor2.Click, btnColor3.Click, btnColor4.Click, btnColor5.Click, btnColor6.Click
        lblColor.BackColor = sender.backcolor
        txtColorName.Text = sender.backcolor.name
    End Sub


    'one way to assign a color is to use its RGB values 
    'one puts together an amount of red, green and blue 
    'designated by numbers between 0 and 255 
    Private Sub btnColorFromRGB_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnColorFromRGB.Click
        Dim RedAmount As Integer = 255
        Dim GreenAmount As Integer = 255
        Dim BlueAmount As Integer = 255

        'verify that user entered a number 
        'and that the number is between 0 and 255
        If IsNumeric(txtRed.Text) Then
            RedAmount = txtRed.Text
            If RedAmount < 0 Or RedAmount > 255 Then
                MsgBox("Please enter a number betweeen 0 and 255.")
                txtRed.Clear()
                txtRed.Focus()
                Exit Sub
            End If
        Else
            MsgBox("Please enter a number betweeen 0 and 255.")
            txtRed.Clear()
            txtRed.Focus()
            Exit Sub
        End If


        'verify that user entered a number 
        'and that the number is between 0 and 255
        If IsNumeric(txtGreen.Text) Then
            GreenAmount = txtGreen.Text
            If GreenAmount < 0 Or GreenAmount > 255 Then
                MsgBox("Please enter a number betweeen 0 and 255.")
                txtGreen.Clear()
                txtGreen.Focus()
                Exit Sub
            End If
        Else
            MsgBox("Please enter a number betweeen 0 and 255.")
            txtGreen.Clear()
            txtGreen.Focus()
            Exit Sub
        End If

        'verify that user entered a number 
        'and that the number is between 0 and 255
        If IsNumeric(txtBlue.Text) Then
            BlueAmount = txtBlue.Text
            If BlueAmount < 0 Or BlueAmount > 255 Then
                MsgBox("Please enter a number betweeen 0 and 255.")
                txtBlue.Clear()
                txtBlue.Focus()
                Exit Sub
            End If
        Else
            MsgBox("Please enter a number betweeen 0 and 255.")
            txtBlue.Clear()
            txtBlue.Focus()
            Exit Sub
        End If

        'Use the FromArgb method to change the color 
        lblColor.BackColor = Color.FromArgb(RedAmount, GreenAmount, BlueAmount)

    End Sub
End Class
